diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/options-permalink.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/options-permalink.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/options-permalink.php	2013-05-22 12:58:10.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/options-permalink.php	2013-09-24 19:18:11.000000000 -0500
***************
*** 7,13 ****
   */
  
  /** WordPress Administration Bootstrap */
! require_once('./admin.php');
  
  if ( ! current_user_can( 'manage_options' ) )
  	wp_die( __( 'You do not have sufficient permissions to manage options for this site.' ) );
--- 7,13 ----
   */
  
  /** WordPress Administration Bootstrap */
! require_once( dirname( __FILE__ ) . '/admin.php' );
  
  if ( ! current_user_can( 'manage_options' ) )
  	wp_die( __( 'You do not have sufficient permissions to manage options for this site.' ) );
***************
*** 75,81 ****
  $iis7_permalinks = iis7_supports_permalinks();
  
  $prefix = $blog_prefix = '';
! if ( ! got_mod_rewrite() && ! $iis7_permalinks )
  	$prefix = '/index.php';
  if ( is_multisite() && !is_subdomain_install() && is_main_site() )
  	$blog_prefix = '/blog';
--- 75,81 ----
  $iis7_permalinks = iis7_supports_permalinks();
  
  $prefix = $blog_prefix = '';
! if ( ! got_url_rewrite() )
  	$prefix = '/index.php';
  if ( is_multisite() && !is_subdomain_install() && is_main_site() )
  	$blog_prefix = '/blog';
***************
*** 126,131 ****
--- 126,133 ----
  		$writable = true;
  	else
  		$writable = false;
+ } elseif ( $is_nginx ) {
+ 	$writable = false;
  } else {
  	if ( ( ! file_exists($home_path . '.htaccess') && is_writable($home_path) ) || is_writable($home_path . '.htaccess') )
  		$writable = true;
***************
*** 152,157 ****
--- 154,161 ----
  			_e('Permalink structure updated. Remove write access on web.config file now!');
  		else
  			_e('Permalink structure updated.');
+ 	} elseif ( $is_nginx ) {
+ 		_e('Permalink structure updated.');
  	} else {
  		if ( $permalink_structure && ! $usingpi && ! $writable )
  			_e('You should update your .htaccess now.');
***************
*** 172,178 ****
  <form name="form" action="options-permalink.php" method="post">
  <?php wp_nonce_field('update-permalink') ?>
  
!   <p><?php _e('By default WordPress uses web <abbr title="Universal Resource Locator">URL</abbr>s which have question marks and lots of numbers in them, however WordPress offers you the ability to create a custom URL structure for your permalinks and archives. This can improve the aesthetics, usability, and forward-compatibility of your links. A <a href="http://codex.wordpress.org/Using_Permalinks">number of tags are available</a>, and here are some examples to get you started.'); ?></p>
  
  <?php
  if ( is_multisite() && !is_subdomain_install() && is_main_site() ) {
--- 176,182 ----
  <form name="form" action="options-permalink.php" method="post">
  <?php wp_nonce_field('update-permalink') ?>
  
!   <p><?php _e('By default WordPress uses web <abbr title="Universal Resource Locator">URL</abbr>s which have question marks and lots of numbers in them; however, WordPress offers you the ability to create a custom URL structure for your permalinks and archives. This can improve the aesthetics, usability, and forward-compatibility of your links. A <a href="http://codex.wordpress.org/Using_Permalinks">number of tags are available</a>, and here are some examples to get you started.'); ?></p>
  
  <?php
  if ( is_multisite() && !is_subdomain_install() && is_main_site() ) {
***************
*** 226,234 ****
  
  <h3 class="title"><?php _e('Optional'); ?></h3>
  <?php
! $suffix = '';
! if ( ! $is_apache && ! $iis7_permalinks )
! 	$suffix = $wp_rewrite->index . '/';
  ?>
  <p><?php
  /* translators: %s is a placeholder that must come at the start of the URL path. */
--- 230,238 ----
  
  <h3 class="title"><?php _e('Optional'); ?></h3>
  <?php
! $suffix = $prefix;
! if ( $suffix )
! 	$suffix = ltrim( $suffix, '/' ) . '/';
  ?>
  <p><?php
  /* translators: %s is a placeholder that must come at the start of the URL path. */
***************
*** 269,275 ****
  <p><?php _e('If you temporarily make your site&#8217;s root directory writable for us to generate the <code>web.config</code> file automatically, do not forget to revert the permissions after the file has been created.') ?></p>
  		<?php endif; ?>
  	<?php endif; ?>
! <?php else :
  	if ( $permalink_structure && ! $usingpi && ! $writable ) : ?>
  <p><?php _e('If your <code>.htaccess</code> file were <a href="http://codex.wordpress.org/Changing_File_Permissions">writable</a>, we could do this automatically, but it isn&#8217;t so these are the mod_rewrite rules you should have in your <code>.htaccess</code> file. Click in the field and press <kbd>CTRL + a</kbd> to select all.') ?></p>
  <form action="options-permalink.php" method="post">
--- 273,279 ----
  <p><?php _e('If you temporarily make your site&#8217;s root directory writable for us to generate the <code>web.config</code> file automatically, do not forget to revert the permissions after the file has been created.') ?></p>
  		<?php endif; ?>
  	<?php endif; ?>
! <?php elseif ( ! $is_nginx ) :
  	if ( $permalink_structure && ! $usingpi && ! $writable ) : ?>
  <p><?php _e('If your <code>.htaccess</code> file were <a href="http://codex.wordpress.org/Changing_File_Permissions">writable</a>, we could do this automatically, but it isn&#8217;t so these are the mod_rewrite rules you should have in your <code>.htaccess</code> file. Click in the field and press <kbd>CTRL + a</kbd> to select all.') ?></p>
  <form action="options-permalink.php" method="post">
***************
*** 282,285 ****
  
  </div>
  
! <?php require('./admin-footer.php'); ?>
--- 286,289 ----
  
  </div>
  
! <?php require( ABSPATH . 'wp-admin/admin-footer.php' ); ?>
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/options.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/options.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/options.php	2013-03-01 11:14:09.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/options.php	2013-10-23 09:40:10.000000000 -0500
***************
*** 16,22 ****
   */
  
  /** WordPress Administration Bootstrap */
! require_once('./admin.php');
  
  $title = __('Settings');
  $this_file = 'options.php';
--- 16,22 ----
   */
  
  /** WordPress Administration Bootstrap */
! require_once( dirname( __FILE__ ) . '/admin.php' );
  
  $title = __('Settings');
  $this_file = 'options.php';
***************
*** 29,34 ****
--- 29,45 ----
  if ( empty($option_page) ) // This is for back compat and will eventually be removed.
  	$option_page = 'options';
  else
+ 
+ 	/**
+ 	 * Filter the capability required when using the Settings API.
+ 	 *
+ 	 * By default, the options groups for all registered settings require the manage_options capability.
+ 	 * This filter is required to change the capability required for a certain options page.
+ 	 *
+ 	 * @since 3.2.0
+ 	 *
+ 	 * @param string $capability The capability used for the page, which is manage_options by default.
+ 	 */
  	$capability = apply_filters( "option_page_capability_{$option_page}", $capability );
  
  if ( !current_user_can( $capability ) )
***************
*** 96,105 ****
--- 107,130 ----
  	$whitelist_options['general'][] = 'new_admin_email';
  	$whitelist_options['general'][] = 'WPLANG';
  
+ 	/**
+ 	 * Toggle post-by-email functionality.
+ 	 *
+ 	 * @since 3.0.0
+ 	 *
+ 	 * @param bool True or false, based on whether post-by-email configuration is enabled or not.
+ 	 */
  	if ( apply_filters( 'enable_post_by_email_configuration', true ) )
  		$whitelist_options['writing'] = array_merge($whitelist_options['writing'], $mail_options);
  }
  
+ /**
+  * Filter the options white list.
+  *
+  * @since 2.7.0
+  *
+  * @param array White list options.
+  */
  $whitelist_options = apply_filters( 'whitelist_options', $whitelist_options );
  
  /*
***************
*** 172,178 ****
  	exit;
  }
  
! include('./admin-header.php'); ?>
  
  <div class="wrap">
  <?php screen_icon(); ?>
--- 197,203 ----
  	exit;
  }
  
! include( ABSPATH . 'wp-admin/admin-header.php' ); ?>
  
  <div class="wrap">
  <?php screen_icon(); ?>
***************
*** 228,231 ****
  </div>
  
  <?php
! include('./admin-footer.php');
--- 253,256 ----
  </div>
  
  <?php
! include( ABSPATH . 'wp-admin/admin-footer.php' );
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/options-reading.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/options-reading.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/options-reading.php	2012-11-18 19:28:32.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/options-reading.php	2013-10-23 09:40:10.000000000 -0500
***************
*** 7,13 ****
   */
  
  /** WordPress Administration Bootstrap */
! require_once( './admin.php' );
  
  if ( ! current_user_can( 'manage_options' ) )
  	wp_die( __( 'You do not have sufficient permissions to manage options for this site.' ) );
--- 7,13 ----
   */
  
  /** WordPress Administration Bootstrap */
! require_once( dirname( __FILE__ ) . '/admin.php' );
  
  if ( ! current_user_can( 'manage_options' ) )
  	wp_die( __( 'You do not have sufficient permissions to manage options for this site.' ) );
***************
*** 72,78 ****
  	'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
  );
  
! include( './admin-header.php' );
  ?>
  
  <div class="wrap">
--- 72,78 ----
  	'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
  );
  
! include( ABSPATH . 'wp-admin/admin-header.php' );
  ?>
  
  <div class="wrap">
***************
*** 150,156 ****
  	<input id="blog-norobots" type="radio" name="blog_public" value="0" <?php checked('0', get_option('blog_public')); ?> />
  	<label for="blog-norobots"><?php _e( 'Discourage search engines from indexing this site' ); ?></label>
  	<p class="description"><?php _e( 'Note: Neither of these options blocks access to your site &mdash; it is up to search engines to honor your request.' ); ?></p>
! 	<?php do_action('blog_privacy_selector'); ?>
  <?php else : ?>
  	<label for="blog_public"><input name="blog_public" type="checkbox" id="blog_public" value="0" <?php checked( '0', get_option( 'blog_public' ) ); ?> />
  	<?php _e( 'Discourage search engines from indexing this site' ); ?></label>
--- 150,171 ----
  	<input id="blog-norobots" type="radio" name="blog_public" value="0" <?php checked('0', get_option('blog_public')); ?> />
  	<label for="blog-norobots"><?php _e( 'Discourage search engines from indexing this site' ); ?></label>
  	<p class="description"><?php _e( 'Note: Neither of these options blocks access to your site &mdash; it is up to search engines to honor your request.' ); ?></p>
! 	<?php
! 	/**
! 	 * Enable the legacy 'Site Visibility' privacy options.
! 	 *
! 	 * By default the privacy options form displays a single checkbox to 'discourage' search
! 	 * engines from indexing the site. Hooking to this action serves a dual purpose:
! 	 * 1. Disable the single checkbox in favor of a multiple-choice list of radio buttons.
! 	 * 2. Open the door to adding additional radio button choices to the list.
! 	 *
! 	 * Hooking to this action also converts the 'Search Engine Visibility' heading to the more
! 	 * open-ended 'Site Visibility' heading.
! 	 *
! 	 * @since 2.1.0
! 	 */
! 	do_action( 'blog_privacy_selector' );
! 	?>
  <?php else : ?>
  	<label for="blog_public"><input name="blog_public" type="checkbox" id="blog_public" value="0" <?php checked( '0', get_option( 'blog_public' ) ); ?> />
  	<?php _e( 'Discourage search engines from indexing this site' ); ?></label>
***************
*** 167,170 ****
  <?php submit_button(); ?>
  </form>
  </div>
! <?php include( './admin-footer.php' ); ?>
--- 182,185 ----
  <?php submit_button(); ?>
  </form>
  </div>
! <?php include( ABSPATH . 'wp-admin/admin-footer.php' ); ?>
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/options-writing.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/options-writing.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/options-writing.php	2013-04-25 01:08:29.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/options-writing.php	2013-10-22 12:22:11.000000000 -0500
***************
*** 7,13 ****
   */
  
  /** WordPress Administration Bootstrap */
! require_once('./admin.php');
  
  if ( ! current_user_can( 'manage_options' ) )
  	wp_die( __( 'You do not have sufficient permissions to manage options for this site.' ) );
--- 7,13 ----
   */
  
  /** WordPress Administration Bootstrap */
! require_once( dirname( __FILE__ ) . '/admin.php' );
  
  if ( ! current_user_can( 'manage_options' ) )
  	wp_die( __( 'You do not have sufficient permissions to manage options for this site.' ) );
***************
*** 28,33 ****
--- 28,34 ----
  	'content' => '<p>' . __('Press This is a bookmarklet that makes it easy to blog about something you come across on the web. You can use it to just grab a link, or to post an excerpt. Press This will even allow you to choose from images included on the page and use them in your post. Just drag the Press This link on this screen to your bookmarks bar in your browser, and you&#8217;ll be on your way to easier content creation. Clicking on it while on another website opens a popup window with all these options.') . '</p>',
  ) );
  
+ /** This filter is documented in wp-admin/options.php */
  if ( apply_filters( 'enable_post_by_email_configuration', true ) ) {
  	get_current_screen()->add_help_tab( array(
  		'id'      => 'options-postemail',
***************
*** 36,41 ****
--- 37,49 ----
  	) );
  }
  
+ /**
+ * Toggle site update services configuration functionality.
+ *
+ * @since 3.0.0
+ *
+ * @param bool True or false, based on whether update services configuration is enabled or not.
+ */
  if ( apply_filters( 'enable_update_services_configuration', true ) ) {
  	get_current_screen()->add_help_tab( array(
  		'id'      => 'options-services',
***************
*** 50,56 ****
  	'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
  );
  
! include('./admin-header.php');
  ?>
  
  <div class="wrap">
--- 58,64 ----
  	'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
  );
  
! include( ABSPATH . 'wp-admin/admin-header.php' );
  ?>
  
  <div class="wrap">
***************
*** 122,128 ****
  	<p><textarea rows="5" cols="120" readonly="readonly"><?php echo htmlspecialchars( get_shortcut_link() ); ?></textarea></p>
  </div>
  
! <?php if ( apply_filters( 'enable_post_by_email_configuration', true ) ) { ?>
  <h3 class="title"><?php _e('Post via e-mail') ?></h3>
  <p><?php printf(__('To post to WordPress by e-mail you must set up a secret e-mail account with POP3 access. Any mail received at this address will be posted, so it&#8217;s a good idea to keep this address very secret. Here are three random strings you could use: <kbd>%s</kbd>, <kbd>%s</kbd>, <kbd>%s</kbd>.'), wp_generate_password(8, false), wp_generate_password(8, false), wp_generate_password(8, false)) ?></p>
  
--- 130,139 ----
  	<p><textarea rows="5" cols="120" readonly="readonly"><?php echo htmlspecialchars( get_shortcut_link() ); ?></textarea></p>
  </div>
  
! <?php
! /** This filter is documented in wp-admin/options.php */
! if ( apply_filters( 'enable_post_by_email_configuration', true ) ) {
! ?>
  <h3 class="title"><?php _e('Post via e-mail') ?></h3>
  <p><?php printf(__('To post to WordPress by e-mail you must set up a secret e-mail account with POP3 access. Any mail received at this address will be posted, so it&#8217;s a good idea to keep this address very secret. Here are three random strings you could use: <kbd>%s</kbd>, <kbd>%s</kbd>, <kbd>%s</kbd>.'), wp_generate_password(8, false), wp_generate_password(8, false), wp_generate_password(8, false)) ?></p>
  
***************
*** 156,162 ****
  </table>
  <?php } ?>
  
! <?php if ( apply_filters( 'enable_update_services_configuration', true ) ) { ?>
  <h3 class="title"><?php _e('Update Services') ?></h3>
  
  <?php if ( 1 == get_option('blog_public') ) : ?>
--- 167,176 ----
  </table>
  <?php } ?>
  
! <?php
! /** This filter is documented in wp-admin/options-writing.php */
! if ( apply_filters( 'enable_update_services_configuration', true ) ) {
! ?>
  <h3 class="title"><?php _e('Update Services') ?></h3>
  
  <?php if ( 1 == get_option('blog_public') ) : ?>
***************
*** 178,181 ****
  </form>
  </div>
  
! <?php include('./admin-footer.php') ?>
--- 192,195 ----
  </form>
  </div>
  
! <?php include( ABSPATH . 'wp-admin/admin-footer.php' ); ?>
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/plugin-editor.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/plugin-editor.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/plugin-editor.php	2013-03-01 12:59:54.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/plugin-editor.php	2013-09-24 19:18:11.000000000 -0500
***************
*** 7,13 ****
   */
  
  /** WordPress Administration Bootstrap */
! require_once('./admin.php');
  
  if ( is_multisite() && ! is_network_admin() ) {
  	wp_redirect( network_admin_url( 'plugin-editor.php' ) );
--- 7,13 ----
   */
  
  /** WordPress Administration Bootstrap */
! require_once( dirname( __FILE__ ) . '/admin.php' );
  
  if ( is_multisite() && ! is_network_admin() ) {
  	wp_redirect( network_admin_url( 'plugin-editor.php' ) );
***************
*** 94,100 ****
  
  	// List of allowable extensions
  	$editable_extensions = array('php', 'txt', 'text', 'js', 'css', 'html', 'htm', 'xml', 'inc', 'include');
! 	$editable_extensions = (array) apply_filters('editable_extensions', $editable_extensions);
  
  	if ( ! is_file($real_file) ) {
  		wp_die(sprintf('<p>%s</p>', __('No such file exists! Double check the name and try again.')));
--- 94,108 ----
  
  	// List of allowable extensions
  	$editable_extensions = array('php', 'txt', 'text', 'js', 'css', 'html', 'htm', 'xml', 'inc', 'include');
! 
! 	/**
! 	 * Filter file type extensions editable in the plugin editor.
! 	 *
! 	 * @since 2.8.0
! 	 *
! 	 * @param array $editable_extensions An array of editable plugin file extensions.
! 	 */
! 	$editable_extensions = (array) apply_filters( 'editable_extensions', $editable_extensions );
  
  	if ( ! is_file($real_file) ) {
  		wp_die(sprintf('<p>%s</p>', __('No such file exists! Double check the name and try again.')));
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/plugin-install.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/plugin-install.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/plugin-install.php	2013-05-22 16:01:57.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/plugin-install.php	2013-09-24 19:18:11.000000000 -0500
***************
*** 9,16 ****
  if ( !defined( 'IFRAME_REQUEST' ) && isset( $_GET['tab'] ) && ( 'plugin-information' == $_GET['tab'] ) )
  	define( 'IFRAME_REQUEST', true );
  
! /** WordPress Administration Bootstrap */
! require_once('./admin.php');
  
  if ( ! current_user_can('install_plugins') )
  	wp_die(__('You do not have sufficient permissions to install plugins on this site.'));
--- 9,18 ----
  if ( !defined( 'IFRAME_REQUEST' ) && isset( $_GET['tab'] ) && ( 'plugin-information' == $_GET['tab'] ) )
  	define( 'IFRAME_REQUEST', true );
  
! /**
!  * WordPress Administration Bootstrap.
!  */
! require_once( dirname( __FILE__ ) . '/admin.php' );
  
  if ( ! current_user_can('install_plugins') )
  	wp_die(__('You do not have sufficient permissions to install plugins on this site.'));
***************
*** 33,39 ****
  
  $body_id = $tab;
  
! do_action('install_plugins_pre_' . $tab); //Used to override the general interface, Eg, install or plugin information.
  
  get_current_screen()->add_help_tab( array(
  'id'		=> 'overview',
--- 35,49 ----
  
  $body_id = $tab;
  
! /**
!  * Fires before each tab on the Install Plugins screen is loaded.
!  *
!  * The dynamic portion of the action hook, $tab, allows for targeting
!  * individual tabs, for instance 'install_plugins_pre_plugin-information'.
!  *
!  * @since 2.7.0
!  */
! do_action( "install_plugins_pre_$tab" );
  
  get_current_screen()->add_help_tab( array(
  'id'		=> 'overview',
***************
*** 57,62 ****
--- 67,75 ----
  	'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
  );
  
+ /**
+  * WordPress Administration Template Header.
+  */
  include(ABSPATH . 'wp-admin/admin-header.php');
  ?>
  <div class="wrap">
***************
*** 66,72 ****
  <?php $wp_list_table->views(); ?>
  
  <br class="clear" />
! <?php do_action('install_plugins_' . $tab, $paged); ?>
  </div>
  <?php
  include(ABSPATH . 'wp-admin/admin-footer.php');
--- 79,100 ----
  <?php $wp_list_table->views(); ?>
  
  <br class="clear" />
! <?php
! /**
!  * Fires after the plugins list table in each tab of the Install Plugins screen.
!  *
!  * The dynamic portion of the action hook, $tab, allows for targeting
!  * individual tabs, for instance 'install_plugins_plugin-information'.
!  *
!  * @since 2.7.0
!  *
!  * @param int $paged The current page number of the plugins list table.
!  */
! ?>
! <?php do_action( "install_plugins_$tab", $paged ); ?>
  </div>
  <?php
+ /**
+  * WordPress Administration Template Footer.
+  */
  include(ABSPATH . 'wp-admin/admin-footer.php');
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/plugins.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/plugins.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/plugins.php	2013-05-22 16:01:57.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/plugins.php	2013-09-24 19:18:11.000000000 -0500
***************
*** 7,13 ****
   */
  
  /** WordPress Administration Bootstrap */
! require_once('./admin.php');
  
  if ( ! current_user_can('activate_plugins') )
  	wp_die( __( 'You do not have sufficient permissions to manage plugins for this site.' ) );
--- 7,13 ----
   */
  
  /** WordPress Administration Bootstrap */
! require_once( dirname( __FILE__ ) . '/admin.php' );
  
  if ( ! current_user_can('activate_plugins') )
  	wp_die( __( 'You do not have sufficient permissions to manage plugins for this site.' ) );
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/post-new.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/post-new.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/post-new.php	2013-07-02 20:50:39.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/post-new.php	2013-09-24 19:18:11.000000000 -0500
***************
*** 7,13 ****
   */
  
  /** Load WordPress Administration Bootstrap */
! require_once('./admin.php');
  
  if ( !isset($_GET['post_type']) )
  	$post_type = 'post';
--- 7,13 ----
   */
  
  /** Load WordPress Administration Bootstrap */
! require_once( dirname( __FILE__ ) . '/admin.php' );
  
  if ( !isset($_GET['post_type']) )
  	$post_type = 'post';
***************
*** 22,29 ****
  	$parent_file = 'edit.php';
  	$submenu_file = 'post-new.php';
  } elseif ( 'attachment' == $post_type ) {
! 	wp_redirect( admin_url( 'media-new.php' ) );
! 	exit;
  } else {
  	$submenu_file = "post-new.php?post_type=$post_type";
  	if ( isset( $post_type_object ) && $post_type_object->show_in_menu && $post_type_object->show_in_menu !== true ) {
--- 22,29 ----
  	$parent_file = 'edit.php';
  	$submenu_file = 'post-new.php';
  } elseif ( 'attachment' == $post_type ) {
! 	if ( wp_redirect( admin_url( 'media-new.php' ) ) )
! 		exit;
  } else {
  	$submenu_file = "post-new.php?post_type=$post_type";
  	if ( isset( $post_type_object ) && $post_type_object->show_in_menu && $post_type_object->show_in_menu !== true ) {
***************
*** 62,66 ****
  // Show post form.
  $post = get_default_post_to_edit( $post_type, true );
  $post_ID = $post->ID;
! include('edit-form-advanced.php');
! include('./admin-footer.php');
--- 62,66 ----
  // Show post form.
  $post = get_default_post_to_edit( $post_type, true );
  $post_ID = $post->ID;
! include( ABSPATH . 'wp-admin/edit-form-advanced.php' );
! include( ABSPATH . 'wp-admin/admin-footer.php' );
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/post.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/post.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/post.php	2013-07-08 15:05:42.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/post.php	2013-09-24 19:18:11.000000000 -0500
***************
*** 9,15 ****
   */
  
  /** WordPress Administration Bootstrap */
! require_once('./admin.php');
  
  $parent_file = 'edit.php';
  $submenu_file = 'edit.php';
--- 9,15 ----
   */
  
  /** WordPress Administration Bootstrap */
! require_once( dirname( __FILE__ ) . '/admin.php' );
  
  $parent_file = 'edit.php';
  $submenu_file = 'edit.php';
***************
*** 195,201 ****
  		enqueue_comment_hotkeys_js();
  	}
  
! 	include('./edit-form-advanced.php');
  
  	break;
  
--- 195,201 ----
  		enqueue_comment_hotkeys_js();
  	}
  
! 	include( ABSPATH . 'wp-admin/edit-form-advanced.php' );
  
  	break;
  
***************
*** 309,312 ****
  	exit();
  	break;
  } // end switch
! include('./admin-footer.php');
--- 309,312 ----
  	exit();
  	break;
  } // end switch
! include( ABSPATH . 'wp-admin/admin-footer.php' );
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/press-this.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/press-this.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/press-this.php	2013-06-27 01:56:45.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/press-this.php	2013-09-24 19:18:11.000000000 -0500
***************
*** 9,15 ****
  define('IFRAME_REQUEST' , true);
  
  /** WordPress Administration Bootstrap */
! require_once('./admin.php');
  
  header('Content-Type: ' . get_option('html_type') . '; charset=' . get_option('blog_charset'));
  
--- 9,15 ----
  define('IFRAME_REQUEST' , true);
  
  /** WordPress Administration Bootstrap */
! require_once( dirname( __FILE__ ) . '/admin.php' );
  
  header('Content-Type: ' . get_option('html_type') . '; charset=' . get_option('blog_charset'));
  
***************
*** 309,317 ****
  </script>
  
  <?php
! 	do_action('admin_print_styles');
! 	do_action('admin_print_scripts');
! 	do_action('admin_head');
  ?>
  	<script type="text/javascript">
  	var wpActiveEditor = 'content';
--- 309,321 ----
  </script>
  
  <?php
! 	do_action( 'admin_enqueue_scripts', 'press-this.php' );
! 	do_action( 'admin_print_styles-press-this.php' );
! 	do_action( 'admin_print_styles' );
! 	do_action( 'admin_print_scripts-press-this.php' );
! 	do_action( 'admin_print_scripts' );
! 	do_action( 'admin_head-press-this.php' );
! 	do_action( 'admin_head' );
  ?>
  	<script type="text/javascript">
  	var wpActiveEditor = 'content';
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/profile.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/profile.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/profile.php	2012-01-08 11:01:11.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/profile.php	2013-09-24 19:18:11.000000000 -0500
***************
*** 15,18 ****
  define('IS_PROFILE_PAGE', true);
  
  /** Load User Editing Page */
! require_once('./user-edit.php');
--- 15,18 ----
  define('IS_PROFILE_PAGE', true);
  
  /** Load User Editing Page */
! require_once( dirname( __FILE__ ) . '/user-edit.php' );
